<!doctype html>
<html>
<head>
	<title>{{project_name}} - {{scope}}</title>
	<meta charset="UTF-8">
	<link rel=stylesheet href=styles.css>
	<link rel="stylesheet" href="highlight/styles/idea.css">
	<script src="highlight/highlight.pack.js"></script>
	<script>hljs.initHighlightingOnLoad();</script>
</head>
<body>
<div id="main-head">
	<div id="head-first-base">
		<div id="head-first" class="content">
			<h5>{{project_name}}</h5>
		</div>
	</div>
	<div id="head-second-base">
		<div id="head-second" class="content">
		</div>
	</div>
</div>
<div id="content-base">
	<div id="content">
		<div id="body-content">
			<h1 id="first-heading"><span style="font-size: 0.7em; line-height: 130%">{{parent_scope}}</span>{{name}}</h1>
			<table class="declaration-begin">
				<tbody>
				<tr class="description-header">
					<td></td>
					<td></td>
					<td></td>
				</tr>
					<tr class="declaration">
						<td>
							<pre><code class="C++">{{name}}(){{noexcept}}{{body_type}}</code></pre>
						</td>
						<td>{{overload}}</td>
						<td>{{since}}</td>
					</tr>
				<tr class="declaration-separator">
					<td></td>
					<td></td>
					<td></td>
				</tr>
				</tbody>
			</table>
			{{#brief}}
			<p>{{brief}}</p>
			{{/brief}}
			{{#detailed}}
			<p>{{detailed}}</p>
			{{/detailed}}
			{{#descriptions}}
			<h3 class="description-heading">{{description_heading}}</h3>
			<table class="description-begin">
				<tbody>
				{{#description}}
					<tr class="description">
						<td>
							{{#url}}
							<a href="{{{url}}}">
							{{/url}}
							{{name}}
							{{#url}}</a>{{/url}}
						</td>
						<td>{{brief}}</td>
					</tr>
				{{/description}}
				</tbody>
			</table>
			{{/descriptions}}
		</div>
	</div>
</div>
</body>
</html>
